<?php 
    /**
    * Plugin Name: Google Analytics ES
    * Plugin URI: http://www.atareao.es
    * Description: El primer ejemplo de como crear un plugin para WordPress.
    * Author: Lorenzo Carbonell
    * Version: 0.1.0
    * Author URI: http://www.atareao.es
    * License: GPL2
    */

if (!defined('WP_CONTENT_URL'))
      define('WP_CONTENT_URL', get_option('siteurl').'/wp-content');
if (!defined('WP_CONTENT_DIR'))
      define('WP_CONTENT_DIR', ABSPATH.'wp-content');
if (!defined('WP_PLUGIN_URL'))
      define('WP_PLUGIN_URL', WP_CONTENT_URL.'/plugins');
if (!defined('WP_PLUGIN_DIR'))
      define('WP_PLUGIN_DIR', WP_CONTENT_DIR.'/plugins');

function google_analytics_script(){    
    $id_seguimiento = get_option('ga_plugin_id_seguimiento');
    $carga_asincrona = get_option('ga_plugin_carga_asincrona');
    if($carga_asincrona==1){
        $output = '
        <!-- Google Analytics -->
        <script>
        window.ga=window.ga||function(){(ga.q=ga.q||[]).push(arguments)};ga.l=+new Date;
        ga("create", "'.$id_seguimiento.'", "auto");
        ga("send", "pageview");
        </script>
        <script async src="//www.google-analytics.com/analytics.js"></script>
        <!-- End Google Analytics -->            
        ';
    }else{
        $output = '
        <!-- Google Analytics -->
        <script>
        (function(i,s,o,g,r,a,m){i["GoogleAnalyticsObject"]=r;i[r]=i[r]||function(){
        (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,"script","//www.google-analytics.com/analytics.js","ga");
        ga("create", "'.$id_seguimiento.'", "auto");
        ga("send", "pageview");
        </script>
        <!-- End Google Analytics -->            
        ';
    }
    echo $output;
}
if (!is_admin()) {
    add_action('wp_head', 'google_analytics_script');
}
function ga_plugin_add_admin_menu(  ) { 
    /* 
     * 1 -> Titulo de la pagina de opciones
     * 2 ->Etiqueta del panel,
     * 3 -> rol y capacitación, slug del menu
     * 4 -> slug
     * 5 -> nombre de la función cuando seleccionamos el menú
     */
    add_options_page(
        'Google Analytics ES', //Titulo de la pagina de opciones
        'Google Analytics ES', //Etiqueta del menú,
        'manage_options', //rol y capacitación
        'ga_plugin', //id de la página de opciones
        'ga_plugin_options_page' //función que crea la página de opciones
    );
}
if (is_admin()) {
    add_action( 'admin_menu', 'ga_plugin_add_admin_menu' );
}


/*
 * Función que crea la página de opciones
 */
function ga_plugin_options_page() { 
    include(WP_PLUGIN_DIR.'/google-analytics-es/options.php');          
}
/*
 * Función que permite guardar las opciones del formulario
 */
function ga_plugin_content_settings(){
    register_setting('ga-plugin-settings-group', // El grupo al que pertenece la opción (definido en el punto anterior)
            'ga_plugin_id_seguimiento', //El nombre del campo de opción.
            'sanitize_text_field' //Parámetro opcional que define la función para sanitizar el valor del campo.
            );
    register_setting('ga-plugin-settings-group', // El grupo al que pertenece la opción (definido en el punto anterior)
            'ga_plugin_carga_asincrona', //El nombre del campo de opción.
            'intval' //Parámetro opcional que define la función para sanitizar el valor del campo.
            );
}
if (is_admin()) {
	add_action('admin_init','ga_plugin_content_settings');
}
?>
